close all
clear all
clc

xn = [1.0 1.5 0.5];

for k = 1:30
    
    h = 10^(-k);
    
    % analiticko rjesenje
    Ja_x(1) = (xn(2)*exp(xn(1)*xn(2)) + xn(2)*sin(xn(3)))/xn(3); 
    Ja_x(2) = (xn(1)*exp(xn(1)*xn(2)) + xn(1)*sin(xn(3)))/xn(3); 
    Ja_x(3) = (xn(1)*xn(2)*cos(xn(3)))/xn(3) - (exp(xn(1)*xn(2)) + xn(1)*xn(2)*sin(xn(3)))/xn(3)^2;
    
    % metoda konacnih diferencija
    grad_f = my_finitedifference(@func1, xn, h);
    
    Kk(k) = k;
    err(k) = (norm(grad_f - Ja_x)/norm(Ja_x));

end

figure(3)
semilogy(Kk, err, 'LineWidth', 2)
xlabel('k (korak diferencija h=10^{-k})')
ylabel('Normirana relativna pogreska')