function dx_f = my_finitedifference(func, x, h)
% Funkcija za racunanje gradijenta primjenom centralne formule konacnih
% diferencija.
% Parametri funkcije su:
% dx_f - izlaz --> gradijent
% func - ulaz --> funkcija za koju se trazi gradijent, a koja je definirana
% kao M-funkcija
% x - ulaz --> vektor redak koji definira numericke vrijednosti tocaka u kojima se trazi gradijent funkcije
% h - ulaz --> korak numericke diferencije

n = length(x);

x1fd = x; 
x2fd = x1fd;

for j = 1:n
    x2fd(j) = x2fd(j) + h;
    x1fd(j) = x1fd(j) - h;
    
    ff1 = feval(func, x1fd);
    ff2 = feval(func, x2fd);
    dx_f(j) = (ff2 - ff1)/(2*h);
    
    x1fd(j) = x1fd(j) + h;
    x2fd(j) = x1fd(j);
    
end